Projects

Create new project

Create a new project in an organization. Requires: OrgBearerAuth (organization-level authentication only).

AuthBearer (JWT)
GroupProjects
Rate limitSee Rate Limits
POST/api/projects/{orgId}/projects

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);
import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await projects.createProject(
  "org_Kd22tfYmAh",
  {
    name: "Rosetta Nolan",
    description: "MacGyver - Lind's most advanced Pizza technology increases soft capabilities",
    slug: "stupendous-humidity-ov9d"
  }
);
const { data: result } = await projects.createProject(
  "org_Kd22tfYmAh",
  {
    name: "Rosetta Nolan",
    description: "MacGyver - Lind's most advanced Pizza technology increases soft capabilities",
    slug: "stupendous-humidity-ov9d"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYesOrganization ID

Request Body

json
{
  "name": "Mudbase Platform",
  "description": "Main platform for Mudbase services",
  "slug": "mudbase-platform"
}
{
  "name": "Mudbase Platform",
  "description": "Main platform for Mudbase services",
  "slug": "mudbase-platform"
}

Responses

201Project created
json
{
  "message": "Project created successfully",
  "project": {
    "_id": "685ad30be129932fbb7a1047",
    "name": "Mudbase Platform",
    "description": "Main platform for Mudbase services",
    "slug": "mudbase-platform",
    "org": "685acbe0e129932fbb7a0fc3",
    "apiKey": "pk_live_abc123xyz789",
    "createdAt": "2024-01-15T10:00:00.000Z",
    "updatedAt": "2024-01-15T10:00:00.000Z"
  }
}
{
  "message": "Project created successfully",
  "project": {
    "_id": "685ad30be129932fbb7a1047",
    "name": "Mudbase Platform",
    "description": "Main platform for Mudbase services",
    "slug": "mudbase-platform",
    "org": "685acbe0e129932fbb7a0fc3",
    "apiKey": "pk_live_abc123xyz789",
    "createdAt": "2024-01-15T10:00:00.000Z",
    "updatedAt": "2024-01-15T10:00:00.000Z"
  }
}
Edit this page on GitHub